
U++ - Bug #153

FrameBuffer rainbow - clipboard seems to only transfer the first letter of text

11/04/2011 01:39 PM - Miroslav Fidler

Status: Approved Start date: 11/04/2011

Priority: High Due date:

Assignee: Miroslav Fidler % Done: 100%

Category: Rainbow Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

History

#1 - 11/07/2011 05:43 PM - Miroslav Fidler

- Priority changed from Normal to High

#2 - 11/08/2011 10:48 AM - Sender Ghost

- Category set to Rainbow

I tested it inside UWord example for WinFB rainbow backend.

#3 - 11/08/2011 10:48 AM - Sender Ghost

Not reproduced here.

#4 - 11/08/2011 10:54 AM - Sender Ghost

Mistake. Reproduced for EditString Ctrl.

#5 - 11/08/2011 06:32 PM - Sender Ghost

I found possible cause of this:

void AppendClipboardUnicodeText(const WString& s)

{

    AppendClipboard("wtext", (byte *)~s, 2 * s.GetLength());

}

The input s is correct. RLOG(s) returns the string, which was copied.

But output is wrong. It contains '\0' character on each even index.

#6 - 11/10/2011 01:49 AM - Sender Ghost

- File 153_rainbow.diff added

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

- % Done changed from 0 to 100

03/13/2024 1/2

/redmine/projects/upp/repository/revisions/3701/entry/trunk/rainbow/Framebuffer/Clip.cpp#L56


Actually, the cause of the problem was in different place.

Also fixed for WINGL rainbow backend.

#7 - 11/11/2011 10:18 AM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

153_rainbow.diff 826 Bytes 11/10/2011 Sender Ghost

03/13/2024 2/2

/redmine/projects/upp/repository/revisions/3701/entry/trunk/rainbow/Framebuffer/Clip.cpp#L144

